package org.well.well.manager;


import org.well.well.core.hibernate.HibernateEntityDao;
import org.well.well.domain.Imei;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

@Service
public class ImeiManager extends HibernateEntityDao<Imei> {
    public Map<String, Object> saveData(String devId, String imei, String iccid) throws IOException {

        Map<String, Object> resultMap = new HashMap<String, Object>();
        try {
            Imei imeiD = new Imei(devId, imei, iccid);
            save(imeiD);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return resultMap;
    }

}
